petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscIntSumTruncate

Computes the sum of two positive PetscInt and truncates the value to slightly less than the maximal possible value

### Synopsis

    PETSC_STATIC_INLINE PetscInt PetscIntSumTruncate(PetscInt a,PetscInt b)

Not Collective Many br

### Input Parameter

| a | - the PetscInt value Many br
| b | - the second value Many br

### Output Parameter

c -the result as a PetscInt value Many br

Use PetscIntMult64bit() to compute the product of two PetscInt as a Petsc64bitInt Many brUse PetscRealIntMultTruncate() to compute the product of a PetscReal and a PetscInt and truncate to fit a PetscInt Many brUse PetscIntMultError() to compute the product of two PetscInt if you wish to generate an error if the result will not fit in a PetscInt Many br

This is used where we compute approximate sizes for workspace and need to insure the workspace is index-able. Many br

Many br

### See Also

PetscBLASInt, PetscMPIInt, PetscInt, PetscBLASIntCast(), PetscIntMult64()

Level:advanced
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages